Add a label to a contact. Existing labels are kept.
Required: phone, label_id (an id from list labels).
Validation errors return HTTP 422 {"message": "error", "data": "<first error>"}.
Campos do formulário
| Campo | Exemplo |
|---|---|
phone | {{phone}} |
label_id | 5 |
Exemplo de requisição
curl -X POST "https://letsbot.net/api/v1/live_chat/set-label" \
-H "Authorization: Bearer YOUR_LB_API_KEY" \
-H "Accept: application/json" \
-F "phone=9665xxxxxxxx" \
-F "label_id=5"
const response = await fetch("https://letsbot.net/api/v1/live_chat/set-label", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
},
body: new URLSearchParams({
"phone": "9665xxxxxxxx",
"label_id": "5",
}),
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init('https://letsbot.net/api/v1/live_chat/set-label');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_LB_API_KEY',
'Accept: application/json',
],
CURLOPT_POSTFIELDS => http_build_query([
'phone' => '9665xxxxxxxx',
'label_id' => '5',
]),
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($data);
import requests
response = requests.request(
"POST",
"https://letsbot.net/api/v1/live_chat/set-label",
headers={
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
},
data={
"phone": "9665xxxxxxxx",
"label_id": "5",
},
)
print(response.json())